<ion-pane>
  <ion-header-bar class='bar-calm'>
    <h1 class='title'>Signature</h1>
  </ion-header-bar>

  <ion-content class='has-header padding' scroll='false'>
      <div class="row">
      <canvas id='signatureCanvas' class="col" style='border: 1px solid black;'></canvas>
      </div>
      <div class="list">
        <form ng-submit="doCreate()">
          <label class="item item-input item-floating-label">
            <span class="input-label">Client Name</span>
            <input type="text" ng-model="client.name" placeholder="Client Name">
          </label>
        </form>
      </div>
      <div class='button-bar'>
        <a class='button button-energized' ng-click='clearCanvas()'>Clear</a>
        <a class='button button-balanced' ng-click='saveCanvas()'>Save</a>
      </div>
      <br>
      <img ng-src='{{signature}}'/>
  </ion-content>
</ion-pane>